%global scala_version 2.10
%global hghash c4e3206f7852
Name:          inkytonik-dsprofile
Version:       0.3.0
Release:       1%{?dist}
Summary:       The dsprofile library
License:       LGPLv3
URL:           https://bitbucket.org/inkytonik/dsprofile
Source0:       https://bitbucket.org/inkytonik/dsprofile/get/v%{version}.tar.gz
Source1:       http://central.maven.org/maven2/org/bitbucket/inkytonik/dsprofile/dsprofile_%{scala_version}/%{version}/dsprofile_%{scala_version}-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(org.scala-lang:scala-compiler)
BuildRequires: mvn(org.scala-lang:scala-library)
%if 0
BuildRequires: mvn(org.scalatest:scalatest_%{scala_version})
%endif
BuildArch:     noarch

%description
The dsprofile library provides general facilities
to implement domain-specific profiling in Scala and
Java programs.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n inkytonik-dsprofile-%{hghash}
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

cp -p %SOURCE1 pom.xml
%pom_remove_dep org.scalatest:scalatest_%{scala_version}
rm -rf src/main/scala/org/bitbucket/inkytonik/dsprofile/EventsTests.scala \
 src/main/scala/org/bitbucket/inkytonik/dsprofile/ProfilerTests.scala

%pom_add_plugin org.apache.maven.plugins:maven-antrun-plugin:1.7 . '
<executions>
  <execution>
    <id>compile</id>
    <phase>process-sources</phase>
    <configuration>
      <tasks>
        <property name="build.compiler" value="extJavac"/>
        <taskdef resource="scala/tools/ant/antlib.xml" classpathref="maven.compile.classpath"/>
        <mkdir dir="target/classes"/>
        <scalac srcdir="src/main" destdir="target/classes" classpathref="maven.compile.classpath" encoding="UTF-8">
          <include name="**/*.*"/>
        </scalac>
      </tasks>
    </configuration>
      <goals>
        <goal>run</goal>
      </goals>
  </execution>
</executions>
<dependencies>
  <dependency>
      <groupId>org.scala-lang</groupId>
      <artifactId>scala-compiler</artifactId>
      <version>2.10.3</version>
  </dependency>
</dependencies>'

%mvn_file :dsprofile_%{scala_version} dsprofile

%build

# Not available test dep
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license COPYING COPYING.LESSER

%files javadoc -f .mfiles-javadoc
%license COPYING COPYING.LESSER

%changelog
* Fri Apr 17 2015 gil cattaneo <puntogil@libero.it> 0.3.0-1
- initial rpm
